/*{{{}}}*/
/*{{{  constants*/
#define FFT_FORWARD  ( 1)
#define FFT_BACKWARD (-1)
/*}}}  */
/*{{{  typedef*/
typedef struct fftplan
{
    double n;
    int    dir;
    double *sin;
    int    *rev;
}fft_plan;
/*}}}  */
/*{{{  prototypes*/
void fft(fft_plan *p, double *in, double *out);
fft_plan *pre_fft(int n, int dir);
/*}}}  */
/*{{{  macros*/
#define post_fft() pre_fft(0, 0)
/*}}}  */
